package com.fs.wxcid.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyWxAccount;
import com.fs.wxcid.domain.WxMsgLog;
import com.fs.wxcid.dto.callback.WxCallbackVo;

/**
 * 个微消息记录Service接口
 * 
 * @author fs
 * @date 2025-12-16
 */
public interface IWxMsgLogService extends IService<WxMsgLog>{
    /**
     * 查询个微消息记录
     * 
     * @param id 个微消息记录主键
     * @return 个微消息记录
     */
    WxMsgLog selectWxMsgLogById(Long id);

    /**
     * 查询个微消息记录列表
     * 
     * @param wxMsgLog 个微消息记录
     * @return 个微消息记录集合
     */
    List<WxMsgLog> selectWxMsgLogList(WxMsgLog wxMsgLog);

    /**
     * 新增个微消息记录
     * 
     * @param wxMsgLog 个微消息记录
     * @return 结果
     */
    int insertWxMsgLog(WxMsgLog wxMsgLog);

    /**
     * 修改个微消息记录
     * 
     * @param wxMsgLog 个微消息记录
     * @return 结果
     */
    int updateWxMsgLog(WxMsgLog wxMsgLog);

    /**
     * 批量删除个微消息记录
     * 
     * @param ids 需要删除的个微消息记录主键集合
     * @return 结果
     */
    int deleteWxMsgLogByIds(Long[] ids);

    /**
     * 删除个微消息记录信息
     * 
     * @param id 个微消息记录主键
     * @return 结果
     */
    int deleteWxMsgLogById(Long id);

    void insertLog(WxCallbackVo callbackVo, CompanyWxAccount account, int type);
}
